//
// Created by william on 16/05/24.
//

#ifndef NES_EMULATOR_GUI_H
#define NES_EMULATOR_GUI_H

#include <stdbool.h>
#include <SDL_ttf.h>

bool gui_init();
void gui_uninit();

void gui_post_sysinit();

int gui_input();
void gui_render();
void gui_present();
void gui_delay();

TTF_Font* gui_get_font();
unsigned int gui_get_frame_delay();

#endif //NES_EMULATOR_GUI_H
