//
// Created by william on 12/07/24.
//

#ifndef NES_EMULATOR_NAMETABLE_WINDOW_H
#define NES_EMULATOR_NAMETABLE_WINDOW_H

#include "components/window.h"
#include "../include/types.h"

#define NW_SCALE 1
#define NW_ROW_COUNT 60
#define NW_ROW_TILE_COUNT 64

typedef struct nes_nametable_window {
    Window window;
    SDL_Texture *texture;
} NesNametableWindow;

void nametable_window_init(NesNametableWindow *window);

void nametable_window_uninit(NesNametableWindow *window);

void nametable_window_update(NesNametableWindow *window);

void nametable_window_render(NesNametableWindow *window);

void nametable_window_present(NesNametableWindow *window);

#endif //NES_EMULATOR_NAMETABLE_WINDOW_H
