//
// Created by william on 10/15/23.
//

#include "types.h"

#ifndef NESEMULATOR_MAPPER_H
#define NESEMULATOR_MAPPER_H

typedef struct mapper {
    byte *(*mem_read)(address);

    byte *(*ppu_read)(address);
} Mapper;

enum MapperType {
    MAPPER_TYPE_SIMPLE
};

Mapper get_mapper(enum MapperType type);

#endif //NESEMULATOR_MAPPER_H
