//
// Created by william on 10/15/23.
//

#include "log.h"
#include <stdlib.h>

#include "../include/mapper.h"
#include "nrom.c"

Mapper get_mapper(enum MapperType type) {
    switch (type) {
        case MAPPER_TYPE_SIMPLE:
            return get_simple_mapper();
        default:
            log_error("Unsupported mapper %u", type);
            exit(-1);
    }
}